From: "Kent Fredric" <kentfredric@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/MooseX-Daemonize/
Date: Wed, 15 May 2013 22:23:36 +0000 (UTC) [thread overview]
Message-ID: <1368647742.625f27e5e71318c639f7c5dacf67a3f3d5b47cba.kent@gentoo> (raw)
commit: 625f27e5e71318c639f7c5dacf67a3f3d5b47cba
Author: Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Wed May 15 19:55:42 2013 +0000
Commit: Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Wed May 15 19:55:42 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=625f27e5
[newversion] dev-perl/MooseX-Daemonize-0.180.0
Package-Manager: portage-2.2.0_alpha174
Manifest-Sign-Key: ECD2C675C102CDA4
---
dev-perl/MooseX-Daemonize/ChangeLog | 6 +++
.../MooseX-Daemonize-0.180.0.ebuild | 46 ++++++++++++++++++++
2 files changed, 52 insertions(+), 0 deletions(-)
diff --git a/dev-perl/MooseX-Daemonize/ChangeLog b/dev-perl/MooseX-Daemonize/ChangeLog
index 0de9702..527037b 100644
--- a/dev-perl/MooseX-Daemonize/ChangeLog
+++ b/dev-perl/MooseX-Daemonize/ChangeLog
@@ -2,6 +2,12 @@
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*MooseX-Daemonize-0.180.0 (15 May 2013)
+
+ 15 May 2013; Kent Fredric <kentfredric@gmail.com>
+ +MooseX-Daemonize-0.180.0.ebuild:
+ Version Bump
+
*MooseX-Daemonize-0.170.0 (28 Apr 2013)
28 Apr 2013; Kent Fredric <kentfredric@gmail.com>
diff --git a/dev-perl/MooseX-Daemonize/MooseX-Daemonize-0.180.0.ebuild b/dev-perl/MooseX-Daemonize/MooseX-Daemonize-0.180.0.ebuild
new file mode 100644
index 0000000..fb381d8
--- /dev/null
+++ b/dev-perl/MooseX-Daemonize/MooseX-Daemonize-0.180.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=5
+MODULE_AUTHOR=ETHER
+MODULE_VERSION=0.18
+inherit perl-module
+
+DESCRIPTION='Role for daemonizing your Moose based application'
+LICENSE=" || ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+perl_meta_configure() {
+ # ExtUtils::MakeMaker 6.30 ( 6.300.0 )
+ echo \>=virtual/perl-ExtUtils-MakeMaker-6.30
+}
+perl_meta_runtime() {
+ # File::Path 2.08 ( 2.80.0 )
+ echo \>=virtual/perl-File-Path-2.80.0
+ # Moose 0.33 ( 0.330.0 )
+ echo \>=dev-perl/Moose-0.330.0
+ # MooseX::Getopt 0.07 ( 0.70.0 )
+ echo \>=dev-perl/MooseX-Getopt-0.70.0
+ # MooseX::Types::Path::Class
+ echo dev-perl/MooseX-Types-Path-Class
+ # Sub::Exporter
+ echo dev-perl/Sub-Exporter
+}
+perl_meta_test() {
+ # Test::Fatal
+ echo dev-perl/Test-Fatal
+ # Test::Moose
+ echo dev-perl/Moose
+ # Test::More 0.88 ( 0.880.0 )
+ echo \>=virtual/perl-Test-Simple-0.88
+}
+DEPEND="
+ $(perl_meta_configure)
+ $(perl_meta_runtime)
+ test? ( $(perl_meta_test) )
+"
+RDEPEND="
+ $(perl_meta_runtime)
+"
+SRC_TEST="do parallel"
next reply other threads:[~2013-05-15 22:24 UTC|newest]
Thread overview: 8+ messages / expand[flat|nested] mbox.gz Atom feed top
2013-05-15 22:23 Kent Fredric [this message]
-- strict thread matches above, loose matches on Subject: below --
2015-06-08 18:40 [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/MooseX-Daemonize/ Kent Fredric
2013-04-28 14:06 Kent Fredric
2013-02-07 13:55 Kent Fredric
2012-06-09 14:33 Kent Fredric
2011-07-16 7:12 Kent Fredric
2011-07-16 7:12 Kent Fredric
2011-07-16 7:12 Kent Fredric
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1368647742.625f27e5e71318c639f7c5dacf67a3f3d5b47cba.kent@gentoo \
--to=kentfredric@gmail.com \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox